import request from '@/utils/request'

// 查询uploadfile列表
export function listUploadfile(query) {
  return request({
    url: '/uploadfile/uploadfile/list',
    method: 'get',
    params: query
  })
}

// 查询uploadfile详细
export function getUploadfile(id) {
  return request({
    url: '/uploadfile/uploadfile/' + id,
    method: 'get'
  })
}

// 新增uploadfile
export function addUploadfile(data) {
  return request({
    url: '/uploadfile/uploadfile',
    method: 'post',
    data: data
  })
}

// 修改uploadfile
export function updateUploadfile(data) {
  return request({
    url: '/uploadfile/uploadfile',
    method: 'put',
    data: data
  })
}

// 删除uploadfile
export function delUploadfile(id) {
  return request({
    url: '/uploadfile/uploadfile/' + id,
    method: 'delete'
  })
}
